Instagram

  • Log in
  • Overview
  • Authentication
  • Real-time
  • iPhone Hooks
  • API Console
  • Endpoints
    • Users
    • Relationships
    • Media
    • Comments
    • Likes
    • Tags
    • Locations
    • Geographies
  • Embedding
  • Libraries
  • Forum

Tag Endpoints

  • GET /tags/tag-name Get information about a tag object.
  • GET /tags/tag-name/media/recent Get a list of recently tagged media.
  • GET /tags/search Search for tags by name.

GET /tags/tag-name

  • Response
https://api.instagram.com/v1/tags/nofilter?access_token=ACCESS-TOKEN
{
    "data": {
        "media_count": 472,
        "name": "nofilter",
    }
}

Get information about a tag object.

GET /tags/tag-name/media/recent

  • Response
https://api.instagram.com/v1/tags/snow/media/recent?access_token=ACCESS-TOKEN
{
    "data": [{
        "type": "image",
        "users_in_photo": [],
        "filter": "Earlybird",
        "tags": ["snow"],
        "comments": {
            "data": [{
                "created_time": "1296703540",
                "text": "Snow",
                "from": {
                    "username": "emohatch",
                    "username": "Dave",
                    "id": "1242695"
                },
                "id": "26589964"
            },
            {
                "created_time": "1296707889",
                "text": "#snow",
                "from": {
                    "username": "emohatch",
                    "username": "Emo Hatch",
                    "id": "1242695"
                },
                "id": "26609649"
            }],
            "count": 3
        }
        "caption": {
            "created_time": "1296703540",
            "text": "#Snow",
            "from": {
                "username": "emohatch",
                "id": "1242695"
            },
            "id": "26589964"
        },
        "likes": {
            "count": 1,
            "data": [{
                "username": "mikeyk",
                "full_name": "Mike Krieger",
                "id": "4",
                "profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_1242695_75sq_1293915800.jpg"
            }]
        },        
        "link": "http://instagr.am/p/BWl6P/",
        "user": {
            "username": "emohatch",
            "profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_1242695_75sq_1293915800.jpg",
            "id": "1242695",
            "full_name": "Dave"
        },
        "created_time": "1296703536",
        "images": {
            "low_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/02/02/f9443f3443484c40b4792fa7c76214d5_6.jpg",
                "width": 306,
                "height": 306
            },
            "thumbnail": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/02/02/f9443f3443484c40b4792fa7c76214d5_5.jpg",
                "width": 150,
                "height": 150
            },
            "standard_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/02/02/f9443f3443484c40b4792fa7c76214d5_7.jpg",
                "width": 612,
                "height": 612
            }
        },
        "id": "22699663",
        "location": null
    },
    ...
    ]
}

Get a list of recently tagged media. Note that this media is ordered by when the media was tagged with this tag, rather than the order it was posted. Use the max_tag_id and min_tag_id parameters in the pagination response to paginate through these objects.

Parameters
min_id Return media before this min_id.
max_id Return media after this max_id.

GET /tags/search

  • Response
https://api.instagram.com/v1/tags/search?q=snowy&access_token=ACCESS-TOKEN
    "data": [
        {
            "media_count": 43590,
            "name": "snowy"
        },
        {
            "media_count": 3264,
            "name": "snowyday"
        },
        {
            "media_count": 1880,
            "name": "snowymountains"
        },
        {
            "media_count": 1164,
            "name": "snowydays"
        },
        {
            "media_count": 776,
            "name": "snowyowl"
        },
        {
            "media_count": 680,
            "name": "snowynight"
        },
        {
            "media_count": 568,
            "name": "snowylebanon"
        },
        {
            "media_count": 522,
            "name": "snowymountain"
        },
        {
            "media_count": 490,
            "name": "snowytrees"
        },
        {
            "media_count": 260,
            "name": "snowynights"
        },
        {
            "media_count": 253,
            "name": "snowyegret"
        },
        {
            "media_count": 223,
            "name": "snowytree"
        },
        {
            "media_count": 214,
            "name": "snowymorning"
        },
        {
            "media_count": 212,
            "name": "snowyweather"
        },
        {
            "media_count": 161,
            "name": "snowyoursupport"
        },
        {
            "media_count": 148,
            "name": "snowyrange"
        },
        {
            "media_count": 136,
            "name": "snowynui3z"
        },
        {
            "media_count": 128,
            "name": "snowypeaks"
        },
        {
            "media_count": 124,
            "name": "snowy_dog"
        },
        {
            "media_count": 120,
            "name": "snowyroad"
        },
        {
            "media_count": 108,
            "name": "snowyoghurt"
        },
        {
            "media_count": 107,
            "name": "snowyriver"
        }
    ],
    "meta": {
        "code": 200
    }
}

Search for tags by name. Results are ordered first as an exact match, then by popularity. Short tags will be treated as exact matches.

Parameters
q A valid tag name without a leading #. (eg. snowy, nofilter)
  • About us
  • Support
  • Blog
  • API
  • Jobs
  • Privacy
  • Terms

© 2013 Instagram